function updatearchive(varargin)
%UPDATEARCHIVE - update the tests archives in 'tests/Verification'
%
%   This function updates all the archive files of the Verification directory on ISSM.
%   All the archive files are saved in the appropriate directory but no one is commited.
%   If you want to do so, just commit the updated files. A specific package can be 
%   given in input only this package will be tested
%
%  Usage:
%      updatearchive(varargin)
%
%   Example:
%      updatearchive;
%      updatearchive({'ice'});
%      updatearchive({'cielo_serial','cielo_parallel'});


%Go to Test directory
eval(['cd ' ISSM_DIR '/test/']);

%Run all verification tests
cd Verification

%Get a list of the test decks
[status,list]=system('ls -l | grep -v CVS | awk ''{printf("%s|",$9);}'' '); %only works on *nix systems.
list=strsplit(list,'|');
%Go through list of decks, and run the deck runme.m files.
for i=2:length(list)-1,
	eval(['cd ' list{i}]);
	updatearchive;
	cd ..
end
